> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/jobs/{jobId} > Get device job status ## OpenAPI ````json GET /v1/devices/{deviceId}/jobs/{jobId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/jobs/{jobId}": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } }, { "name": "jobId", "in": "path", "required": true, "description": "id of the job as received from the Enqueue* calls.", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 1234 } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdJobsJobIdGetResponse" } } } } }, "description": "Get device job status" } } }, "components": { "schemas": { "v1DevicesDeviceIdJobsJobIdGetResponse": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "jobStatus": { "$ref": "#/components/schemas/configWorkerJobStatus" } }, "additionalProperties": false }, "configWorkerJobStatus": { "type": "object", "properties": { "completedAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "createdAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "error": { "type": "string", "example": "example string" }, "errorCount": { "type": "integer", "format": "int32", "example": 123 }, "jobId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "jobState": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````